{% extends 'base.html.twig' %}

{% block bread %}
    {{ parent() }}
    <li>Cart</li>
{% endblock %}

{% block title %}Cart - {{ parent() }}{% endblock %}

{% block body %}

<div class="container container-sr">

    <!--<h3 class="primary-hr-i">
        {{ fa('shopping-cart') }} Your <em>Shopping Cart</em>
    </h3>-->

    {% if cart_count() == 0 %}

        {% include 'AppBundle:fragment:action-status-icon.html.twig' with {
            'icon_mg' : 'fa-ban',
            'icon'    : 'fa-shopping-bag',
            'text'    : 'Your shopping cart is currently empty.'
        } only %}

    {% else %}

        <div class="cart-listing">
            {% for g in cart_items_grouped() %}
                <div class="card cart-item">
                    <div class="cart-item-info">
                        <div class="cart-item-image">
                            <img alt="{{ g.getProduct.getName }}" src="{{ asset_product(g.getProduct.getImage) | imagine_filter('product_thumb_sm') }}" />
                        </div>
                        <h4><a href="{{ path('app_product_view', {'productName': g.getProduct.getName|slugify, 'product': g.getProduct.getId, 'category': g.getProduct.getCategory.getSlug}) }}">{{ g.getProduct.getName }}</a></h4>
                        <h6>Category:
                            <a href="{{ url('app_category_view', {'category': g.getProduct.getCategory.getSlug}) }}">
                                {{ g.getProduct.getCategory.getName }}
                            </a>
                        </h6>
                    </div>
                    <div class="cart-item-actions">
                        <p>

                        <span class="cart-item-actions-count label label-default">
                            {% if g.getProduct().hasNoShipping() == false %}
                                <em>${{ (g.getProduct.getShippingRate(config('rate.shipping', constant('AppBundle\\Entity\\Product::RATE_SHIPPING_DEFAULT')))*g.count)|number_format(2, '.', ',') }}</em> shipping
                            {% else %}
                                <em>$0.00</em> shipping
                            {% endif %}
                        </span>
                        <span class="label label-primary cart-item-actions-total">
                                {% if g.count != 1 %}
                                    ${{ g.getProduct.getPrice()|number_format(2, '.', ',') }} x {{ g.count() }} =
                                {% endif %}
                                <em>${{ g.total()|number_format(2, '.', ',') }}</em>
                            </span>
                        </p>
                        <div class="btn-group">
                            {% include 'AppBundle:fragment:link-button-sm.html.twig' with {
                                'route' : 'app_cart_remove_group',
                                'args'  : {product: g.getProduct.getId},
                                'type'  : 'danger',
                                'icon'  : 'trash-b',
                                'tip'   : 'remove all'
                            } only %}
                            {% include 'AppBundle:fragment:link-button-sm.html.twig' with {
                                'route' : 'app_cart_remove',
                                'args'  : {product: g.getProduct.getId, quantity: 1},
                                'type'  : 'warning',
                                'icon'  : 'minus-circled',
                                'tip'   : 'remove one'
                            } only %}
                            {% include 'AppBundle:fragment:link-button-sm.html.twig' with {
                                'route' : 'app_cart_add',
                                'args'  : {product: g.getProduct.getId, quantity: 1},
                                'type'  : 'success',
                                'icon'  : 'plus-circled',
                                'tip'   : 'add another'
                            } only %}
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
        <div class="cart-actions">
            <div class="cart-btns">
                <div class="btn-group">
                    {% include 'AppBundle:fragment:link-button.html.twig' with {
                        'route'  : 'app_cart_clear',
                        'type'   : 'danger',
                        'icon_l' : 'trash-b',
                        'text'   : 'Clear Cart'
                    } only %}
                    {% include 'AppBundle:fragment:link-button.html.twig' with {
                        'route'  : 'app_cart_checkout',
                        'icon'   : 'android-arrow-forward',
                        'text'   : 'Checkout'
                    } only %}
                </div>
            </div>
            <div class="cart-total pull-right">
                <dl class="cart-total-breakdown">
                    <dt>Sub-Total</dt>
                    <dd>${{ cart_subTotal()|number_format(2, '.', ',') }}</dd>
                    <dt>Tax</dt>
                    <dd>${{ cart_tax()|number_format(2, '.', ',') }}</dd>
                    <dt>Shipping</dt>
                    <dd>${{ cart_shipping()|number_format(2, '.', ',') }}</dd>
                </dl>
                <dl class="cart-total-total">
                    <dt>Total</dt>
                    <dd>${{ cart_total()|number_format(2, '.', ',') }}</dd>
                </dl>
            </div>
        </div>

    {% endif %}

</div>

{% endblock %}
